Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMouseEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QInputEvent
                          com.trolltech.qt.gui.QMouseEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QMouseEvent

extends QInputEvent

The `QMouseEvent` class contains parameters that describe a mouse event. Mouse events occur when a mouse button is pressed or released inside a widget, or when the mouse cursor is moved.

Mouse move events will occur only when a mouse button is pressed down, unless mouse tracking has been enabled with `QWidget::setMouseTracking()`.

Qt automatically grabs the mouse when a mouse button is pressed inside a widget; the widget will continue to receive mouse events until the last mouse button is released.

A mouse event contains a special accept flag that indicates whether the receiver wants the event. You should call `ignore()` if the mouse event is not handled by your widget. A mouse event is propagated up the parent widget chain until a widget accepts it with `accept()`, or an event filter consumes it.

The state of the keyboard modifier keys can be found by calling the `modifiers()` function, inhertied from `QInputEvent`.

The functions `pos()`, `x()`, and `y()` give the cursor position relative to the widget that receives the mouse event. If you move the widget as a result of the mouse event, use the global position returned by `globalPos()` to avoid a shaking motion.

The `QWidget::setEnabled()` function can be used to enable or disable mouse and keyboard events for a widget.

Reimplement the `QWidget` event handlers, `QWidget::mousePressEvent()`, `QWidget::mouseReleaseEvent()`, `QWidget::mouseDoubleClickEvent()`, and `QWidget::mouseMoveEvent()` to receive mouse events in your own widgets.

`QCursor::pos()`

See also:
  `QWidget::setMouseTracking()`, and `QWidget::grabMouse()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QMouseEvent(QEvent.Type type, QPoint pos, QPoint globalPos, Qt.MouseButton button, Qt.MouseButtons buttons, Qt.KeyboardModifier[] modifiers)` Constructs a mouse event object.
`QMouseEvent(QEvent.Type type, QPoint pos, QPoint globalPos, Qt.MouseButton button, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)` Constructs a mouse event object.
`QMouseEvent(QEvent.Type type, QPoint pos, Qt.MouseButton button, Qt.MouseButtons buttons, Qt.KeyboardModifier[] modifiers)` Constructs a mouse event object.
`QMouseEvent(QEvent.Type type, QPoint pos, Qt.MouseButton button, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)` Constructs a mouse event object.

Method Summary
`protected Qt.MouseButton` | `b()`
`Qt.MouseButton` | `button()` Returns the button that caused the event.
`Qt.MouseButtons` | `buttons()` Returns the button state when the event was generated.
`QPoint` | `globalPos()` Returns the global position of the mouse cursor at the time of the event.
`int` | `globalX()` Returns the global x position of the mouse cursor at the time of the event.
`int` | `globalY()` Returns the global y position of the mouse cursor at the time of the event.
`protected Qt.MouseButtons` | `mouseState()`
`QPoint` | `pos()` Returns the position of the mouse cursor, relative to the widget that received the event.
`QPointF` | `posF()` Returns the position of the mouse cursor as a `QPointF`, relative to the widget that received the event.
`protected void` | `setB(Qt.MouseButton b)`
`protected void` | `setMouseState(Qt.MouseButtons mouseState)`
`java.lang.String` | `toString()` Returns a string representation of the `this QMouseEvent`.
`int` | `x()` Returns the x position of the mouse cursor, relative to the widget that received the event.
`int` | `y()` Returns the y position of the mouse cursor, relative to the widget that received the event.

Methods inherited from class com.trolltech.qt.gui.QInputEvent
`modifiers, modState, setModState`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QMouseEvent

    public QMouseEvent(QEvent.Type type,
                       QPoint pos,
                       Qt.MouseButton button,
                       Qt.MouseButtons buttons,
                       Qt.KeyboardModifier[] modifiers)

  Constructs a mouse event object.

  The `type` parameter must be one of `QEvent::MouseButtonPress` , `QEvent::MouseButtonRelease` , `QEvent::MouseButtonDblClick` , or `QEvent::MouseMove` .

  The `position` is the mouse cursor's position relative to the receiving widget. The `button` that caused the event is given as a value from the `Qt::MouseButton` enum. If the event `type` is `MouseMove` , the appropriate button for this event is `Qt::NoButton` . The mouse and keyboard states at the time of the event are specified by `buttons` and `modifiers`.

  The `globalPos()` is initialized to `QCursor::pos()`, which may not be appropriate. Use the other constructor to specify the global position explicitly.

### QMouseEvent

    public QMouseEvent(QEvent.Type type,
                       QPoint pos,
                       Qt.MouseButton button,
                       Qt.MouseButtons buttons,
                       Qt.KeyboardModifiers modifiers)

  Constructs a mouse event object.

  The `type` parameter must be one of `QEvent::MouseButtonPress` , `QEvent::MouseButtonRelease` , `QEvent::MouseButtonDblClick` , or `QEvent::MouseMove` .

  The `position` is the mouse cursor's position relative to the receiving widget. The `button` that caused the event is given as a value from the `Qt::MouseButton` enum. If the event `type` is `MouseMove` , the appropriate button for this event is `Qt::NoButton` . The mouse and keyboard states at the time of the event are specified by `buttons` and `modifiers`.

  The `globalPos()` is initialized to `QCursor::pos()`, which may not be appropriate. Use the other constructor to specify the global position explicitly.

### QMouseEvent

    public QMouseEvent(QEvent.Type type,
                       QPoint pos,
                       QPoint globalPos,
                       Qt.MouseButton button,
                       Qt.MouseButtons buttons,
                       Qt.KeyboardModifier[] modifiers)

  Constructs a mouse event object.

  The `type` parameter must be `QEvent::MouseButtonPress` , `QEvent::MouseButtonRelease` , `QEvent::MouseButtonDblClick` , or `QEvent::MouseMove` .

  The `pos` is the mouse cursor's position relative to the receiving widget. The cursor's position in global coordinates is specified by `globalPos`. The `button` that caused the event is given as a value from the `Qt::MouseButton` enum. If the event `type` is `MouseMove` , the appropriate button for this event is `Qt::NoButton` . `buttons` is the state of all buttons at the time of the event, `modifiers` the state of all keyboard modifiers.

### QMouseEvent

    public QMouseEvent(QEvent.Type type,
                       QPoint pos,
                       QPoint globalPos,
                       Qt.MouseButton button,
                       Qt.MouseButtons buttons,
                       Qt.KeyboardModifiers modifiers)

  Constructs a mouse event object.

  The `type` parameter must be `QEvent::MouseButtonPress` , `QEvent::MouseButtonRelease` , `QEvent::MouseButtonDblClick` , or `QEvent::MouseMove` .

  The `pos` is the mouse cursor's position relative to the receiving widget. The cursor's position in global coordinates is specified by `globalPos`. The `button` that caused the event is given as a value from the `Qt::MouseButton` enum. If the event `type` is `MouseMove` , the appropriate button for this event is `Qt::NoButton` . `buttons` is the state of all buttons at the time of the event, `modifiers` the state of all keyboard modifiers.

Method Detail

### button

    public final Qt.MouseButton button()

  Returns the button that caused the event.

  Note that the returned value is always `Qt::NoButton` for mouse move events.

See also:
  `buttons()`, and `Qt::MouseButton` .

### buttons

    public final Qt.MouseButtons buttons()

  Returns the button state when the event was generated. The button state is a combination of `Qt::LeftButton` , `Qt::RightButton` , `Qt::MidButton` using the OR operator. For mouse move events, this is all buttons that are pressed down. For mouse press and double click events this includes the button that caused the event. For mouse release events this excludes the button that caused the event.

See also:
  `button()`, and `Qt::MouseButton` .

### globalPos

    public final QPoint globalPos()

  Returns the global position of the mouse cursor at the time of the event. This is important on asynchronous window systems like X11. Whenever you move your widgets around in response to mouse events, `globalPos()` may differ a lot from the current pointer position `QCursor::pos()`, and from QWidget::mapToGlobal(`pos()`).

See also:
  `globalX()`, and `globalY()`.

### globalX

    public final int globalX()

  Returns the global x position of the mouse cursor at the time of the event.

See also:
  `globalY()`, and `globalPos()`.

### globalY

    public final int globalY()

  Returns the global y position of the mouse cursor at the time of the event.

See also:
  `globalX()`, and `globalPos()`.

### pos

    public final QPoint pos()

  Returns the position of the mouse cursor, relative to the widget that received the event.

  If you move the widget as a result of the mouse event, use the global position returned by `globalPos()` to avoid a shaking motion.

See also:
  `x()`, `y()`, and `globalPos()`.

### posF

    public final QPointF posF()

  Returns the position of the mouse cursor as a `QPointF`, relative to the widget that received the event.

  If you move the widget as a result of the mouse event, use the global position returned by `globalPos()` to avoid a shaking motion.

See also:
  `x()`, `y()`, `pos()`, and `globalPos()`.

### x

    public final int x()

  Returns the x position of the mouse cursor, relative to the widget that received the event.

See also:
  `y()`, and `pos()`.

### y

    public final int y()

  Returns the y position of the mouse cursor, relative to the widget that received the event.

See also:
  `x()`, and `pos()`.

### setMouseState

    protected final void setMouseState(Qt.MouseButtons mouseState)

### mouseState

    protected final Qt.MouseButtons mouseState()

### setB

    protected final void setB(Qt.MouseButton b)

### b

    protected final Qt.MouseButton b()

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QMouseEvent`.

  Overrides:
    `toString` in class `QInputEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD